# Rest utilities

Python package with utilities for REST APIS.

# Contents

1. [Installation](#installation)
2. [Utilities](#utilities)
3. [Upload a new version](#upload)

# Installation <a name="installation"></a>

Download the last version from our private [pipy server](http://fservices.devapoyoeconomico.com/).

With [pipenv](https://pypi.org/project/pipenv/) from the Pipfile contained in this project:
```bash
pipenv install rest-utilities
```

With pip:
```bash
pip install --index-url http://fservices.devapoyoeconomico.com/simple/ rest-utilities --trusted-host fservices.devapoyoeconomico.com
```

# Utilities <a name="utilities"></a>

### JSON Validation

The validation.schema file contains utilities for using the [json-schema](https://json-schema.org/) library
to validate the JSON files entering our APIS.

### Google Cloud Logging

The logging module contains utilities for logging our APIS activity into GCP logs.

### Unified Response

The response module has a function to build a unified http response 

# Upload a new version <a name="upload"></a>

Once your changes are done, modify the `setup.py` file to specify the new version and/or the new required packages
and specifications. Then run:

```
python setup.py sdist upload -r pypidev -v
```